<?php


return  
    [
        'model' => [
            'model' => \Eform\Business\Models\Business::class,
            'table' => 'eform_business_businesses',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['name',  'EIN',  'street',  'zip',  'city',  'state',  'country',  'address_changed',  'signing_name',  'signing_pin',  'signing_phone',  'third_party_designee',  'user_id',  'Status'],
            'translatables' => [],
            'upload_folder' => 'business/business',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            "name" => [
                "key" => "name", 
                "col" => 4, 
                "operators" => ['LIKE', '=', 'IN', 'BETWEEN'], 
                "type" => "text", 
                "label" => 'business::business.label.name', 
                "placeholder" => 'business::business.placeholder.name', 
            ],
            "EIN" => [
                "key" => "EIN", 
                "col" => 4, 
                "operators" => ['LIKE', '=', 'IN', 'BETWEEN'], 
                "type" => "text", 
                "label" => 'business::business.label.EIN', 
                "placeholder" => 'business::business.placeholder.EIN', 
            ],
            "street" => [
                "key" => "street", 
                "col" => 4, 
                "operators" => ['LIKE', '=', 'IN', 'BETWEEN'], 
                "type" => "text", 
                "label" => 'business::business.label.street', 
                "placeholder" => 'business::business.placeholder.street', 
            ],
            "zip" => [
                "key" => "zip", 
                "col" => 4, 
                "operators" => ['LIKE', '=', 'IN', 'BETWEEN'], 
                "type" => "text", 
                "label" => 'business::business.label.zip', 
                "placeholder" => 'business::business.placeholder.zip', 
            ],
            "city" => [
                "key" => "city", 
                "col" => 4, 
                "operators" => ['LIKE', '=', 'IN', 'BETWEEN'], 
                "type" => "text", 
                "label" => 'business::business.label.city', 
                "placeholder" => 'business::business.placeholder.city', 
            ],
            "state" => [
                "key" => "state", 
                "col" => 4, 
                "operators" => ['LIKE', '=', 'IN', 'BETWEEN'], 
                "type" => "text", 
                "label" => 'business::business.label.state', 
                "placeholder" => 'business::business.placeholder.state', 
            ],
            "country" => [
                "key" => "country", 
                "col" => 4, 
                "operators" => ['LIKE', '=', 'IN', 'BETWEEN'], 
                "type" => "text", 
                "label" => 'business::business.label.country', 
                "placeholder" => 'business::business.placeholder.country', 
            ],
            "address_changed" => [
                "key" => "address_changed", 
                "col" => 4, 
                "operators" => ['LIKE', '=', 'IN', 'BETWEEN'], 
                "type" => "text", 
                "label" => 'business::business.label.address_changed', 
                "placeholder" => 'business::business.placeholder.address_changed', 
            ],
            "signing_name" => [
                "key" => "signing_name", 
                "col" => 4, 
                "operators" => ['LIKE', '=', 'IN', 'BETWEEN'], 
                "type" => "text", 
                "label" => 'business::business.label.signing_name', 
                "placeholder" => 'business::business.placeholder.signing_name', 
            ],
            "signing_pin" => [
                "key" => "signing_pin", 
                "col" => 4, 
                "operators" => ['LIKE', '=', 'IN', 'BETWEEN'], 
                "type" => "text", 
                "label" => 'business::business.label.signing_pin', 
                "placeholder" => 'business::business.placeholder.signing_pin', 
            ],
            "signing_phone" => [
                "key" => "signing_phone", 
                "col" => 4, 
                "operators" => ['LIKE', '=', 'IN', 'BETWEEN'], 
                "type" => "text", 
                "label" => 'business::business.label.signing_phone', 
                "placeholder" => 'business::business.placeholder.signing_phone', 
            ],
            "user_id" => [
                "key" => "user_id", 
                "col" => 4, 
                "operators" => ['LIKE', '=', 'IN', 'BETWEEN'], 
                "type" => "text", 
                "label" => 'business::business.label.user_id', 
                "placeholder" => 'business::business.placeholder.user_id', 
            ],
            "Status" => [
                "key" => "Status", 
                "col" => 4, 
                "operators" => ['LIKE', '=', 'IN', 'BETWEEN'], 
                "type" => "text", 
                "label" => 'business::business.label.Status', 
                "placeholder" => 'business::business.placeholder.Status', 
            ],
        ],

        'list' => [
            [
                "key" => "name", 
                "type" => "text", 
                "label" => 'business::business.label.name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "EIN", 
                "type" => "text", 
                "label" => 'business::business.label.EIN', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "street", 
                "type" => "text", 
                "label" => 'business::business.label.street', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "zip", 
                "type" => "text", 
                "label" => 'business::business.label.zip', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "city", 
                "type" => "text", 
                "label" => 'business::business.label.city', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "state", 
                "type" => "text", 
                "label" => 'business::business.label.state', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "country", 
                "type" => "text", 
                "label" => 'business::business.label.country', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "signing_name", 
                "type" => "text", 
                "label" => 'business::business.label.signing_name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "signing_pin", 
                "type" => "text", 
                "label" => 'business::business.label.signing_pin', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "signing_phone", 
                "type" => "text", 
                "label" => 'business::business.label.signing_phone', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "Status", 
                "type" => "text", 
                "label" => 'business::business.label.Status', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'business::business.label.name',
                "placeholder" => 'business::business.placeholder.name',
                "required" => 'true',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'EIN',
                "element" => 'text',
                "type" => 'text',
                "label" => 'business::business.label.EIN',
                "placeholder" => 'business::business.placeholder.EIN',
                "required" => 'true',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'street',
                "element" => 'text',
                "type" => 'text',
                "label" => 'business::business.label.street',
                "placeholder" => 'business::business.placeholder.street',
                "required" => 'true',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'zip',
                "element" => 'text',
                "type" => 'text',
                "label" => 'business::business.label.zip',
                "placeholder" => 'business::business.placeholder.zip',
                "required" => 'true',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'city',
                "element" => 'text',
                "type" => 'text',
                "label" => 'business::business.label.city',
                "placeholder" => 'business::business.placeholder.city',
                "required" => 'true',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'state',
                "element" => 'text',
                "type" => 'text',
                "label" => 'business::business.label.state',
                "placeholder" => 'business::business.placeholder.state',
                "required" => 'true',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'country',
                "element" => 'text',
                "type" => 'text',
                "label" => 'business::business.label.country',
                "placeholder" => 'business::business.placeholder.country',
                "required" => 'true',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'address_changed',
                "element" => 'text',
                "type" => 'text',
                "label" => 'business::business.label.address_changed',
                "placeholder" => 'business::business.placeholder.address_changed',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'signing_name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'business::business.label.signing_name',
                "placeholder" => 'business::business.placeholder.signing_name',
                "required" => 'true',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'signing_pin',
                "element" => 'text',
                "type" => 'text',
                "label" => 'business::business.label.signing_pin',
                "placeholder" => 'business::business.placeholder.signing_pin',
                "required" => 'true',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'signing_phone',
                "element" => 'text',
                "type" => 'text',
                "label" => 'business::business.label.signing_phone',
                "placeholder" => 'business::business.placeholder.signing_phone',
                "required" => 'true',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'third_party_designee',
                "element" => 'text',
                "type" => 'text',
                "label" => 'business::business.label.third_party_designee',
                "placeholder" => 'business::business.placeholder.third_party_designee',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'Status',
                "element" => 'text',
                "type" => 'text',
                "label" => 'business::business.label.Status',
                "placeholder" => 'business::business.placeholder.Status',
                "required" => 'true',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'business/business/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'business/business/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'business/business',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'business/business',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'business/business',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'business/business',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'business::business.label.created_at',
            'name' => 'business::business.label.name',
            'status' => 'business::business.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "business::business.groups.main",
                'group' => "main.main",
                'title' => "business::business.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "business::business.groups.details",
                'group' => "main.details",
                'title' => "business::business.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "business::business.groups.images",
                'group' => "main.images",
                'title' => "business::business.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "business::business.groups.settings",
                'group' => "main.settings",
                'title' => "business::business.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Eform',
            'package' => 'Business',
            'module' => 'Business',
        ],

        
         
        'actions' => [
            'copy' => [
                'type' => ['Details', 'List'],
                'label' => 'business::business.action.copy',
                'roles' => [
                    'user' => ['superuser', 'admin'],
                    'team' => ['admin'],
                    'permission' => ['business.business.copy', 'business.business.duplicate'],
                ],
                'form' => [
                    'count' => [
                        "element" => 'select',
                        "type" => 'select',
                        "label" => 'business::business.label.count',
                        "placeholder" => 'business::business.placeholder.count',
                        "options" => call_user_func(function () {
                            return [
                                1 => ['value' => 1, 'text' => 1],
                                2 => ['value' => 2, 'text' => 2],
                                3 => ['value' => 3, 'text' => 3],
                                4 => ['value' => 4, 'text' => 4],
                            ];
                        }),
                        "col" => "12",
                    ],
                    'comment' => [
                        "element" => 'textarea',
                        "type" => 'text',
                        "required" => 'required',
                        "label" => 'business::business.label.comment',
                        "placeholder" => 'business::business.placeholder.comment',
                        "col" => "12",
                    ],
                ],
            ],
            'empty' => [
                'type' => ['List', 'Details'],
                'label' => 'business::business.action.empty',
                'roles' => [
                    'user' => ['superuser'],
                ],
            ],
            
            'section' => [
                'type' => ['Group'],
                'api_url' => '',
                'action' => 'list',
                'label' => 'business::business.action.section',
                'store' => 'main.units',
                'group' => 'main.units'
            ],

        ]
        
    ];
