<?php

namespace Eform\Business\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class BusinessTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('eform_business_businesses')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'eform.business.business.view',
                'name'      => 'View Business',
            ],
            [
                'slug'      => 'eform.business.business.create',
                'name'      => 'Create Business',
            ],
            [
                'slug'      => 'eform.business.business.edit',
                'name'      => 'Update Business',
            ],
            [
                'slug'      => 'eform.business.business.delete',
                'name'      => 'Delete Business',
            ],
            
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/business/business',
                'name'        => 'Business',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/business/business',
                'name'        => 'Business',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'business',
                'name'        => 'Business',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Business',
                'module'    => 'Business',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'eform.business.business.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
