<?php

namespace Eform\Business\Policies;

use Illuminate\Foundation\Auth\User as Authenticatable;

trait BusinessExim
{

    /**
     * Determine if the given user can approve the given business.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function import(Authenticatable $user)
    {
        if ($user->canDo('business.business.import')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given business.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function export(Authenticatable $user)
    {
        if ($user->canDo('business.business.export')) {
            return true;
        }

        return false;
    }
}
